View Issue Details

IDProjectCategoryView StatusLast Update
0026670LazarusWidgetsetpublic2014-09-03 15:28
ReporterBart BroersmaAssigned ToZeljan Rikalo 
PriorityhighSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformi386OSLinuxOS VersionFedora Core 18
Product Version1.3 (SVN)Product Buildr46104 
Target Version1.2.6Fixed in Version 
Summary0026670: ShowCalendarPopup() crashes app if performed when form is maximized (Linux QT/GTK2)
DescriptionWhen you do a call to ShowCalendarPopup and you have the current form maximized, the a crash occurs.
The app gets a SIGABRT and a memorydump is done.

This bug does not show on Win32 WS.
(I am unable to test GTK2 or Qt on Windows)
Steps To ReproduceUnzip, and build attached sample app.
In Project Options you can switch between GTK2 and QT widgetset.

Run the program from the console
Click on Button1: a CalendarPopup will show (you can omit this step)
Maximize the form
Click on Button1 and wait: the app crashes.
A memory stacktrace/dump will show on the console
Additional InformationI attached bot GTK2 and Qt crash dumps as they appear on my system.
TagsNo tags attached.
Fixed in Revision46115
LazTarget1.2.6
WidgetsetGTK 2, QT
Attached Files
  • caltest.zip (9,092 bytes)
  • gtk2-crash.txt (15,803 bytes)
    [bart@localhost calendarpopup]$ ./test
    *** glibc detected *** ./test: free(): invalid pointer: 0x095f51c9 ***
    ======= Backtrace: =========
    /lib/libc.so.6[0x47c7d029]
    /lib/libX11.so.6(XFree+0x1c)[0x48063a5c]
    ./test[0x81aaf48]
    ./test[0x82fe4a5]
    ./test[0x81f70c6]
    ./test[0x81f75e3]
    ./test[0x8084720]
    ./test[0x806e366]
    ./test[0x81f0910]
    ./test[0x8086017]
    ./test[0x81fb7e6]
    ./test[0x81ee699]
    ./test[0x81ee601]
    ./test[0x808925d]
    ./test[0x81ed033]
    ./test[0x82054f7]
    ./test[0x8202673]
    ./test[0x8084335]
    ./test[0x80880c9]
    ./test[0x831825a]
    ./test[0x809676b]
    ./test[0x81fd9ae]
    ./test[0x822243f]
    ./test[0x8222b41]
    ./test[0x822235a]
    ./test[0x806e366]
    ./test[0x81f0910]
    ./test[0x82a2bd5]
    ./test[0x82aed56]
    /lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOIDv+0x4f)[0x482bee2f]
    ======= Memory map: ========
    08048000-08335000 r-xp 00000000 fd:01 1327807    /home/bart/LazarusProjecten/bugs/calendarpopup/test
    08335000-08336000 r--p 002ec000 fd:01 1327807    /home/bart/LazarusProjecten/bugs/calendarpopup/test
    08336000-084c9000 rw-p 002ed000 fd:01 1327807    /home/bart/LazarusProjecten/bugs/calendarpopup/test
    084c9000-084e4000 rw-p 00000000 00:00 0 
    0947e000-09623000 rw-p 00000000 00:00 0          [heap]
    47be4000-47c03000 r-xp 00000000 fd:01 526941     /usr/lib/ld-2.16.so
    47c03000-47c04000 r--p 0001e000 fd:01 526941     /usr/lib/ld-2.16.so
    47c04000-47c05000 rw-p 0001f000 fd:01 526941     /usr/lib/ld-2.16.so
    47c07000-47db7000 r-xp 00000000 fd:01 527948     /usr/lib/libc-2.16.so
    47db7000-47db9000 r--p 001b0000 fd:01 527948     /usr/lib/libc-2.16.so
    47db9000-47dba000 rw-p 001b2000 fd:01 527948     /usr/lib/libc-2.16.so
    47dba000-47dbd000 rw-p 00000000 00:00 0 
    47dbf000-47dc2000 r-xp 00000000 fd:01 528207     /usr/lib/libdl-2.16.so
    47dc2000-47dc3000 r--p 00002000 fd:01 528207     /usr/lib/libdl-2.16.so
    47dc3000-47dc4000 rw-p 00003000 fd:01 528207     /usr/lib/libdl-2.16.so
    47dc6000-47ddc000 r-xp 00000000 fd:01 528000     /usr/lib/libpthread-2.16.so
    47ddc000-47ddd000 r--p 00015000 fd:01 528000     /usr/lib/libpthread-2.16.so
    47ddd000-47dde000 rw-p 00016000 fd:01 528000     /usr/lib/libpthread-2.16.so
    47dde000-47de0000 rw-p 00000000 00:00 0 
    47de2000-47e20000 r-xp 00000000 fd:01 528238     /usr/lib/libm-2.16.so
    47e20000-47e21000 r--p 0003d000 fd:01 528238     /usr/lib/libm-2.16.so
    47e21000-47e22000 rw-p 0003e000 fd:01 528238     /usr/lib/libm-2.16.so
    47e24000-47e2b000 r-xp 00000000 fd:01 528210     /usr/lib/librt-2.16.so
    47e2b000-47e2c000 r--p 00006000 fd:01 528210     /usr/lib/librt-2.16.so
    47e2c000-47e2d000 rw-p 00007000 fd:01 528210     /usr/lib/librt-2.16.so
    47e2f000-47e44000 r-xp 00000000 fd:01 528201     /usr/lib/libz.so.1.2.7
    47e44000-47e45000 r--p 00014000 fd:01 528201     /usr/lib/libz.so.1.2.7
    47e45000-47e46000 rw-p 00015000 fd:01 528201     /usr/lib/libz.so.1.2.7
    47e48000-47e64000 r-xp 00000000 fd:01 528251     /usr/lib/libgcc_s-4.7.2-20121109.so.1
    47e64000-47e65000 r--p 0001b000 fd:01 528251     /usr/lib/libgcc_s-4.7.2-20121109.so.1
    47e65000-47e66000 rw-p 0001c000 fd:01 528251     /usr/lib/libgcc_s-4.7.2-20121109.so.1
    47e68000-47eca000 r-xp 00000000 fd:01 528371     /usr/lib/libpcre.so.1.0.1
    47eca000-47ecb000 r--p 00061000 fd:01 528371     /usr/lib/libpcre.so.1.0.1
    47ecb000-47ecc000 rw-p 00062000 fd:01 528371     /usr/lib/libpcre.so.1.0.1
    47ece000-47eee000 r-xp 00000000 fd:01 528373     /usr/lib/libselinux.so.1
    47eee000-47eef000 r--p 0001f000 fd:01 528373     /usr/lib/libselinux.so.1
    47eef000-47ef0000 rw-p 00020000 fd:01 528373     /usr/lib/libselinux.so.1
    47ef0000-47ef1000 rw-p 00000000 00:00 0 
    47ef3000-4801c000 r-xp 00000000 fd:01 528220     /usr/lib/libglib-2.0.so.0.3400.2
    4801c000-4801d000 r--p 00128000 fd:01 528220     /usr/lib/libglib-2.0.so.0.3400.2
    4801d000-4801e000 rw-p 00129000 fd:01 528220     /usr/lib/libglib-2.0.so.0.3400.2
    48020000-48022000 r-xp 00000000 fd:01 528595     /usr/lib/libXau.so.6.0.0
    48022000-48023000 r--p 00001000 fd:01 528595     /usr/lib/libXau.so.6.0.0
    48023000-48024000 rw-p 00002000 fd:01 528595     /usr/lib/libXau.so.6.0.0
    48026000-4815b000 r-xp 00000000 fd:01 528648     /usr/lib/libX11.so.6.3.0
    4815b000-4815c000 r--p 00134000 fd:01 528648     /usr/lib/libX11.so.6.3.0
    4815c000-4815f000 rw-p 00135000 fd:01 528648     /usr/lib/libX11.so.6.3.0
    48161000-48176000 r-xp 00000000 fd:01 528297     /usr/lib/libresolv-2.16.so
    48176000-48177000 r--p 00014000 fd:01 528297     /usr/lib/libresolv-2.16.so
    48177000-48178000 rw-p 00015000 fd:01 528297     /usr/lib/libresolv-2.16.so
    48178000-4817a000 rw-p 00000000 00:00 0 
    4817c000-4819c000 r-xp 00000000 fd:01 528607     /usr/lib/libxcb.so.1.1.0
    4819c000-4819d000 r--p 0001f000 fd:01 528607     /usr/lib/libxcb.so.1.1.0
    4819d000-4819e000 rw-p 00020000 fd:01 528607     /usr/lib/libxcb.so.1.1.0
    481a0000-481b0000 r-xp 00000000 fd:01 528688     /usr/lib/libXext.so.6.4.0
    481b0000-481b1000 r--p 00010000 fd:01 528688     /usr/lib/libXext.so.6.4.0
    481b1000-481b2000 rw-p 00011000 fd:01 528688     /usr/lib/libXext.so.6.4.0
    481b4000-48294000 r-xp 00000000 fd:01 528262     /usr/lib/libstdc++.so.6.0.17
    48294000-48298000 r--p 000df000 fd:01 528262     /usr/lib/libstdc++.so.6.0.17
    48298000-4829a000 rw-p 000e3000 fd:01 528262     /usr/lib/libstdc++.so.6.0.17
    4829a000-482a0000 rw-p 00000000 00:00 0 
    482a2000-482a3000 r-xp 00000000 fd:01 528236     /usr/lib/libgthread-2.0.so.0.3400.2
    482a3000-482a4000 r--p 00000000 fd:01 528236     /usr/lib/libgthread-2.0.so.0.3400.2
    482a4000-482a5000 rw-p 00001000 fd:01 528236     /usr/lib/libgthread-2.0.so.0.3400.2
    482a7000-482ac000 r-xp 00000000 fd:01 528459     /usr/lib/libffi.so.5.0.10
    482ac000-482ad000 r--p 00005000 fd:01 528459     /usr/lib/libffi.so.5.0.10
    482ad000-482ae000 rw-p 00006000 fd:01 528459     /usr/lib/libffi.so.5.0.10
    482b0000-482fd000 r-xp 00000000 fd:01 528467     /usr/lib/libgobject-2.0.so.0.3400.2
    482fd000-482fe000 r--p 0004c000 fd:01 528467     /usr/lib/libgobject-2.0.so.0.3400.2
    482fe000-482ff000 rw-p 0004d000 fd:01 528467     /usr/lib/libgobject-2.0.so.0.3400.2
    48330000-48334000 r-xp 00000000 fd:01 529469     /usr/lib/libXfixes.so.3.1.0
    48334000-48335000 r--p 00003000 fd:01 529469     /usr/lib/libXfixes.so.3.1.0
    48335000-48336000 rw-p 00004000 fd:01 529469     /usr/lib/libXfixes.so.3.1.0
    48338000-48364000 r-xp 00000000 fd:01 529449     /usr/lib/libpng15.so.15.13.0
    48364000-48365000 r--p 0002b000 fd:01 529449     /usr/lib/libpng15.so.15.13.0
    48365000-48366000 rw-p 0002c000 fd:01 529449     /usr/lib/libpng15.so.15.13.0
    483b5000-483db000 r-xp 00000000 fd:01 528496     /usr/lib/libexpat.so.1.6.0
    483db000-483dd000 r--p 00025000 fd:01 528496     /usr/lib/libexpat.so.1.6.0
    483dd000-483de000 rw-p 00027000 fd:01 528496     /usr/lib/libexpat.so.1.6.0
    483e0000-483e9000 r-xp 00000000 fd:01 529115     /usr/lib/libXrender.so.1.3.0
    483e9000-483ea000 r--p 00008000 fd:01 529115     /usr/lib/libXrender.so.1.3.0
    483ea000-483eb000 rw-p 00009000 fd:01 529115     /usr/lib/libXrender.so.1.3.0
    483ed000-48488000 r-xp 00000000 fd:01 529461     /usr/lib/libfreetype.so.6.9.0
    48488000-4848c000 r--p 0009a000 fd:01 529461     /usr/lib/libfreetype.so.6.9.0
    4848c000-4848d000 rw-p 0009e000 fd:01 529461     /usr/lib/libfreetype.so.6.9.0
    4848f000-48491000 r-xp 00000000 fd:01 529117     /usr/lib/libXinerama.so.1.0.0
    48491000-48492000 r--p 00001000 fd:01 529117     /usr/lib/libXinerama.so.1.0.0
    48492000-48493000 rw-p 00002000 fd:01 529117     /usr/lib/libXinerama.so.1.0.0
    48495000-4849e000 r-xp 00000000 fd:01 529116     /usr/lib/libXrandr.so.2.2.0
    4849e000-4849f000 r--p 00008000 fd:01 529116     /usr/lib/libXrandr.so.2.2.0
    4849f000-484a0000 rw-p 00009000 fd:01 529116     /usr/lib/libXrandr.so.2.2.0
    484a2000-484c9000 r-xp 00000000 fd:01 528442     /usr/lib/liblzma.so.5.0.99
    484c9000-484ca000 ---p 00027000 fd:01 528442     /usr/lib/liblzma.so.5.0.99
    484ca000-484cb000 r--p 00027000 fd:01 528442     /usr/lib/liblzma.so.5.0.99
    484cb000-484cc000 rw-p 00028000 fd:01 528442     /usr/lib/liblzma.so.5.0.99
    484ce000-48505000 r-xp 00000000 fd:01 529502     /usr/lib/libfontconfig.so.1.6.2
    48505000-48506000 r--p 00036000 fd:01 529502     /usr/lib/libfontconfig.so.1.6.2
    48506000-48507000 rw-p 00037000 fd:01 529502     /usr/lib/libfontconfig.so.1.6.2
    48509000-48517000 r-xp 00000000 fd:01 529466     /usr/lib/libXi.so.6.1.0
    48517000-48518000 r--p 0000e000 fd:01 529466     /usr/lib/libXi.so.6.1.0
    48518000-48519000 rw-p 0000f000 fd:01 529466     /usr/lib/libXi.so.6.1.0
    4851b000-4852c000 r-xp 00000000 fd:01 529525     /usr/lib/libudev.so.1.3.2
    4852c000-4852d000 r--p 00010000 fd:01 529525     /usr/lib/libudev.so.1.3.2
    4852d000-4852e000 rw-p 00011000 fd:01 529525     /usr/lib/libudev.so.1.3.2
    48530000-48533000 r-xp 00000000 fd:01 528473     /usr/lib/libgmodule-2.0.so.0.3400.2
    48533000-48534000 r--p 00002000 fd:01 528473     /usr/lib/libgmodule-2.0.so.0.3400.2
    48534000-48535000 rw-p 00003000 fd:01 528473     /usr/lib/libgmodule-2.0.so.0.3400.2
    48537000-48540000 r-xp 00000000 fd:01 529497     /usr/lib/libXcursor.so.1.0.2
    48540000-48541000 r--p 00008000 fd:01 529497     /usr/lib/libXcursor.so.1.0.2
    48541000-48542000 rw-p 00009000 fd:01 529497     /usr/lib/libXcursor.so.1.0.2
    48544000-4869e000 r-xp 00000000 fd:01 528478     /usr/lib/libgio-2.0.so.0.3400.2
    4869e000-486a0000 r--p 0015a000 fd:01 528478     /usr/lib/libgio-2.0.so.0.3400.2
    486a0000-486a1000 rw-p 0015c000 fd:01 528478     /usr/lib/libgio-2.0.so.0.3400.2
    486a1000-486a2000 rw-p 00000000 00:00 0 
    486a4000-486a5000 r-xp 00000000 fd:01 530209     /usr/lib/libX11-xcb.so.1.0.0
    486a5000-486a6000 r--p 00000000 fd:01 530209     /usr/lib/libX11-xcb.so.1.0.0
    486a6000-486a7000 rw-p 00001000 fd:01 530209     /usr/lib/libX11-xcb.so.1.0.0
    486a9000-487fc000 r-xp 00000000 fd:01 528525     /usr/lib/libxml2.so.2.9.1
    487fc000-48800000 r--p 00153000 fd:01 528525     /usr/lib/libxml2.so.2.9.1
    48800000-48801000 rw-p 00157000 fd:01 528525     /usr/lib/libxml2.so.2.9.1
    48801000-48802000 rw-p 00000000 00:00 0 
    48804000-48808000 r-xp 00000000 fd:01 529121     /usr/lib/libXxf86vm.so.1.0.0
    48808000-48809000 r--p 00003000 fd:01 529121     /usr/lib/libXxf86vm.so.1.0.0
    48809000-4880a000 rw-p 00004000 fd:01 529121     /usr/lib/libXxf86vm.so.1.0.0
    48813000-48840000 r-xp 00000000 fd:01 531780     /usr/lib/libbluray.so.1.2.0
    48840000-48841000 r--p 0002d000 fd:01 531780     /usr/lib/libbluray.so.1.2.0
    48841000-48842000 rw-p 0002e000 fd:01 531780     /usr/lib/libbluray.so.1.2.0
    48844000-48877000 r-xp 00000000 fd:01 531782     /usr/lib/libgvfscommon.so.0.0.0
    48877000-48879000 r--p 00032000 fd:01 531782     /usr/lib/libgvfscommon.so.0.0.0
    48879000-4887a000 rw-p 00034000 fd:01 531782     /usr/lib/libgvfscommon.so.0.0.0
    48b27000-48b29000 r-xp 00000000 fd:01 530306     /usr/lib/libXdamage.so.1.1.0
    48b29000-48b2a000 r--p 00001000 fd:01 530306     /usr/lib/libXdamage.so.1.1.0
    48b2a000-48b2b000 rw-p 00002000 fd:01 530306     /usr/lib/libXdamage.so.1.1.0
    48b2d000-48b38000 r-xp 00000000 fd:01 530241     /usr/lib/libdrm.so.2.4.0
    48b38000-48b39000 r--p 0000a000 fd:01 530241     /usr/lib/libdrm.so.2.4.0
    48b39000-48b3a000 rw-p 0000b000 fd:01 530241     /usr/lib/libdrm.so.2.4.0
    48b3c000-48b76000 r-xp 00000000 fd:01 530236     /usr/lib/libglapi.so.0.0.0
    48b76000-48b79000 r--p 00039000 fd:01 530236     /usr/lib/libglapi.so.0.0.0
    48b79000-48b7a000 rw-p 0003c000 fd:01 530236     /usr/lib/libglapi.so.0.0.0
    48b7c000-48b80000 r-xp 00000000 fd:01 530215     /usr/lib/libxcb-dri2.so.0.0.0
    48b80000-48b81000 r--p 00003000 fd:01 530215     /usr/lib/libxcb-dri2.so.0.0.0
    48b81000-48b82000 rw-p 00004000 fd:01 530215     /usr/lib/libxcb-dri2.so.0.0.0
    48b84000-48bf5000 r-xp 00000000 fd:01 530311     /usr/lib/libGL.so.1.2.0
    48bf5000-48bf7000 r--p 00070000 fd:01 530311     /usr/lib/libGL.so.1.2.0
    48bf7000-48bf8000 rw-p 00072000 fd:01 530311     /usr/lib/libGL.so.1.2.0
    48bfa000-48c11000 r-xp 00000000 fd:01 530308     /usr/lib/libxcb-glx.so.0.0.0
    48c11000-48c12000 r--p 00017000 fd:01 530308     /usr/lib/libxcb-glx.so.0.0.0
    48c12000-48c13000 rw-p 00018000 fd:01 530308     /usr/lib/libxcb-glx.so.0.0.0
    49f8d000-49fb0000 r-xp 00000000 fd:01 530391     /usr/lib/libgdk_pixbuf-2.0.so.0.2600.5
    49fb0000-49fb1000 r--p 00022000 fd:01 530391     /usr/lib/libgdk_pixbuf-2.0.so.0.2600.5
    49fb1000-49fb2000 rw-p 00023000 fd:01 530391     /usr/lib/libgdk_pixbuf-2.0.so.0.2600.5
    4a023000-4b143000 r-xp 00000000 fd:01 530324     /usr/lib/libicudata.so.49.1.1
    4b143000-4b144000 r--p 0111f000 fd:01 530324     /usr/lib/libicudata.so.49.1.1
    4b144000-4b145000 rw-p 01120000 fd:01 530324     /usr/lib/libicudata.so.49.1.1
    4b7d6000-4b93f000 r-xp 00000000 fd:01 530327     /usr/lib/libicuuc.so.49.1.1
    4b93f000-4b940000 ---p 00169000 fd:01 530327     /usr/lib/libicuuc.so.49.1.1
    4b940000-4b949000 r--p 00169000 fd:01 530327     /usr/lib/libicuuc.so.49.1.1
    4b949000-4b94a000 rw-p 00172000 fd:01 530327     /usr/lib/libicuuc.so.49.1.1
    4b94a000-4b94f000 rw-p 00000000 00:00 0 
    4b951000-4b959000 r-xp 00000000 fd:01 530232     /usr/lib/libwayland-client.so.0.1.0
    4b959000-4b95a000 r--p 00008000 fd:01 530232     /usr/lib/libwayland-client.so.0.1.0
    4b95a000-4b95b000 rw-p 00009000 fd:01 530232     /usr/lib/libwayland-client.so.0.1.0
    4b9be000-4ba13000 r-xp 00000000 fd:01 530344     /usr/lib/libicule.so.49.1.1
    4ba13000-4ba14000 r--p 00054000 fd:01 530344     /usr/lib/libicule.so.49.1.1
    4ba14000-4ba15000 rw-p 00055000 fd:01 530344     /usr/lib/libicule.so.49.1.1
    4ba17000-4baad000 r-xp 00000000 fd:01 526101     /usr/lib/libpixman-1.so.0.28.0
    4baad000-4bab2000 r--p 00095000 fd:01 526101     /usr/lib/libpixman-1.so.0.28.0
    4bab2000-4bab3000 rw-p 0009a000 fd:01 526101     /usr/lib/libpixman-1.so.0.28.0
    4bab5000-4babd000 r-xp 00000000 fd:01 530223     /usr/lib/libxcb-render.so.0.0.0
    4babd000-4babe000 r--p 00008000 fd:01 530223     /usr/lib/libxcb-render.so.0.0.0
    4babe000-4babf000 rw-p 00009000 fd:01 530223     /usr/lib/libxcb-render.so.0.0.0
    4bac1000-4bac3000 r-xp 00000000 fd:01 529208     /usr/lib/libxcb-shape.so.0.0.0
    4bac3000-4bac4000 r--p 00002000 fd:01 529208     /usr/lib/libxcb-shape.so.0.0.0
    4bac4000-4bac5000 rw-p 00003000 fd:01 529208     /usr/lib/libxcb-shape.so.0.0.0
    4bac7000-4bac9000 r-xp 00000000 fd:01 530388     /usr/lib/libXcomposite.so.1.0.0
    4bac9000-4baca000 r--p 00001000 fd:01 530388     /usr/lib/libXcomposite.so.1.0.0
    4baca000-4bacb000 rw-p 00002000 fd:01 530388     /usr/lib/libXcomposite.so.1.0.0
    4bacd000-4bb65000 r-xp 00000000 fd:01 530345     /usr/lib/libharfbuzz.so.0.912.0
    4bb65000-4bb66000 r--p 00098000 fd:01 530345     /usr/lib/libharfbuzz.so.0.912.0
    4bb66000-4bb67000 rw-p 00099000 fd:01 530345     /usr/lib/libharfbuzz.so.0.912.0
    4bb69000-4bb88000 r-xp 00000000 fd:01 530257     /usr/lib/libEGL.so.1.0.0
    4bb88000-4bb89000 r--p 0001e000 fd:01 530257     /usr/lib/libEGL.so.1.0.0
    4bb89000-4bb8a000 rw-p 0001f000 fd:01 530257     /usr/lib/libEGL.so.1.0.0
    4bb8c000-4bba8000 r-xp 00000000 fd:01 530323     /usr/lib/libgraphite2.so.2.0.0
    4bba8000-4bba9000 r--p 0001b000 fd:01 530323     /usr/lib/libgraphite2.so.2.0.0
    4bba9000-4bbaa000 rw-p 0001c000 fd:01 530323     /usr/lib/libgraphite2.so.2.0.0
    4bbac000-4bbf5000 r-xp 00000000 fd:01 530322     /usr/lib/libpango-1.0.so.0.3200.3
    4bbf5000-4bbf6000 ---p 00049000 fd:01 530322     /usr/lib/libpango-1.0.so.0.3200.3
    4bbf6000-4bbf7000 r--p 00049000 fd:01 530322     /usr/lib/libpango-1.0.so.0.3200.3
    4bbf7000-4bbf8000 rw-p 0004a000 fd:01 530322     /usr/lib/libpango-1.0.so.0.3200.3
    4bbfa000-4bc00000 r-xp 00000000 fd:01 530217     /usr/lib/libxcb-xfixes.so.0.0.0
    4bc00000-4bc01000 r--p 00005000 fd:01 530217     /usr/lib/libxcb-xfixes.so.0.0.0
    4bc01000-4bc02000 rw-p 00006000 fd:01 530217     /usr/lib/libxcb-xfixes.so.0.0.0
    4bc04000-4bc09000 r-xp 00000000 fd:01 530239     /usr/lib/libgbm.so.1.0.0
    4bc09000-4bc0a000 r--p 00004000 fd:01 530239     /usr/lib/libgbm.so.1.0.0
    4bc0a000-4bc0b000 rw-p 00005000 fd:01 530239     /usr/lib/libgbm.so.1.0.0Afgebroken (geheugendump gemaakt)
    [bart@localhost calendarpopup]$ 
    
    gtk2-crash.txt (15,803 bytes)
  • qt-crash.txt (11,955 bytes)
    [bart@localhost calendarpopup]$ ./test
    *** glibc detected *** ./test: free(): invalid pointer: 0x086c65c1 ***
    ======= Backtrace: =========
    /lib/libc.so.6[0x47c7d029]
    /lib/libX11.so.6(XFree+0x1c)[0x48063a5c]
    ./test[0x81a1e64]
    ./test[0x8296a92]
    ./test[0x81cbdf6]
    ./test[0x81cc313]
    ./test[0x80865d0]
    ./test[0x8070216]
    ./test[0x81c5640]
    ./test[0x8087ec7]
    ./test[0x81d0516]
    ./test[0x81c33c9]
    ./test[0x81c3331]
    ./test[0x808b10d]
    ./test[0x81c1d63]
    ./test[0x81da227]
    ./test[0x81d73a3]
    ./test[0x80861e5]
    ./test[0x8089f79]
    ./test[0x82ba32a]
    ./test[0x809861b]
    ./test[0x81d26de]
    ./test[0x81fe19f]
    ./test[0x81fe8a1]
    ./test[0x81fe0ba]
    ./test[0x8070216]
    ./test[0x81c5640]
    ./test[0x82639a9]
    ./test[0x8264812]
    /lib/libQt4Pas.so.5(_ZN20QAbstractButton_hook11qt_metacallEN11QMetaObject4CallEiPPv+0x9b)[0xb76b130b]
    /lib/libQtCore.so.4(_ZN11QMetaObject8metacallEP7QObjectNS_4CallEiPPv+0x36)[0x48e12236]
    /lib/libQtGui.so.4(_ZN15QAbstractButton7clickedEb+0x4e)[0x49d0b8be]
    [0x84a97a8]
    ======= Memory map: ========
    08048000-082c4000 r-xp 00000000 fd:01 1327807    /home/bart/LazarusProjecten/bugs/calendarpopup/test
    082c4000-082c5000 r--p 0027b000 fd:01 1327807    /home/bart/LazarusProjecten/bugs/calendarpopup/test
    082c5000-08431000 rw-p 0027c000 fd:01 1327807    /home/bart/LazarusProjecten/bugs/calendarpopup/test
    08431000-08448000 rw-p 00000000 00:00 0 
    084a6000-086e7000 rw-p 00000000 00:00 0          [heap]
    41420000-4154d000 r-xp 00000000 fd:01 534031     /usr/lib/libQtLocation.so.1.2.2
    4154d000-4154f000 r--p 0012d000 fd:01 534031     /usr/lib/libQtLocation.so.1.2.2
    4154f000-41553000 rw-p 0012f000 fd:01 534031     /usr/lib/libQtLocation.so.1.2.2
    41555000-41574000 r-xp 00000000 fd:01 534032     /usr/lib/libQtSensors.so.1.2.2
    41574000-41575000 r--p 0001e000 fd:01 534032     /usr/lib/libQtSensors.so.1.2.2
    41575000-41576000 rw-p 0001f000 fd:01 534032     /usr/lib/libQtSensors.so.1.2.2
    41578000-415bd000 r-xp 00000000 fd:01 533992     /usr/lib/libwebp.so.4.0.1
    415bd000-415be000 r--p 00044000 fd:01 533992     /usr/lib/libwebp.so.4.0.1
    415be000-415bf000 rw-p 00045000 fd:01 533992     /usr/lib/libwebp.so.4.0.1
    415bf000-415c2000 rw-p 00000000 00:00 0 
    47be4000-47c03000 r-xp 00000000 fd:01 526941     /usr/lib/ld-2.16.so
    47c03000-47c04000 r--p 0001e000 fd:01 526941     /usr/lib/ld-2.16.so
    47c04000-47c05000 rw-p 0001f000 fd:01 526941     /usr/lib/ld-2.16.so
    47c07000-47db7000 r-xp 00000000 fd:01 527948     /usr/lib/libc-2.16.so
    47db7000-47db9000 r--p 001b0000 fd:01 527948     /usr/lib/libc-2.16.so
    47db9000-47dba000 rw-p 001b2000 fd:01 527948     /usr/lib/libc-2.16.so
    47dba000-47dbd000 rw-p 00000000 00:00 0 
    47dbf000-47dc2000 r-xp 00000000 fd:01 528207     /usr/lib/libdl-2.16.so
    47dc2000-47dc3000 r--p 00002000 fd:01 528207     /usr/lib/libdl-2.16.so
    47dc3000-47dc4000 rw-p 00003000 fd:01 528207     /usr/lib/libdl-2.16.so
    47dc6000-47ddc000 r-xp 00000000 fd:01 528000     /usr/lib/libpthread-2.16.so
    47ddc000-47ddd000 r--p 00015000 fd:01 528000     /usr/lib/libpthread-2.16.so
    47ddd000-47dde000 rw-p 00016000 fd:01 528000     /usr/lib/libpthread-2.16.so
    47dde000-47de0000 rw-p 00000000 00:00 0 
    47de2000-47e20000 r-xp 00000000 fd:01 528238     /usr/lib/libm-2.16.so
    47e20000-47e21000 r--p 0003d000 fd:01 528238     /usr/lib/libm-2.16.so
    47e21000-47e22000 rw-p 0003e000 fd:01 528238     /usr/lib/libm-2.16.so
    47e24000-47e2b000 r-xp 00000000 fd:01 528210     /usr/lib/librt-2.16.so
    47e2b000-47e2c000 r--p 00006000 fd:01 528210     /usr/lib/librt-2.16.so
    47e2c000-47e2d000 rw-p 00007000 fd:01 528210     /usr/lib/librt-2.16.so
    47e2f000-47e44000 r-xp 00000000 fd:01 528201     /usr/lib/libz.so.1.2.7
    47e44000-47e45000 r--p 00014000 fd:01 528201     /usr/lib/libz.so.1.2.7
    47e45000-47e46000 rw-p 00015000 fd:01 528201     /usr/lib/libz.so.1.2.7
    47e48000-47e64000 r-xp 00000000 fd:01 528251     /usr/lib/libgcc_s-4.7.2-20121109.so.1
    47e64000-47e65000 r--p 0001b000 fd:01 528251     /usr/lib/libgcc_s-4.7.2-20121109.so.1
    47e65000-47e66000 rw-p 0001c000 fd:01 528251     /usr/lib/libgcc_s-4.7.2-20121109.so.1
    47e68000-47eca000 r-xp 00000000 fd:01 528371     /usr/lib/libpcre.so.1.0.1
    47eca000-47ecb000 r--p 00061000 fd:01 528371     /usr/lib/libpcre.so.1.0.1
    47ecb000-47ecc000 rw-p 00062000 fd:01 528371     /usr/lib/libpcre.so.1.0.1
    47ece000-47eee000 r-xp 00000000 fd:01 528373     /usr/lib/libselinux.so.1
    47eee000-47eef000 r--p 0001f000 fd:01 528373     /usr/lib/libselinux.so.1
    47eef000-47ef0000 rw-p 00020000 fd:01 528373     /usr/lib/libselinux.so.1
    47ef0000-47ef1000 rw-p 00000000 00:00 0 
    47ef3000-4801c000 r-xp 00000000 fd:01 528220     /usr/lib/libglib-2.0.so.0.3400.2
    4801c000-4801d000 r--p 00128000 fd:01 528220     /usr/lib/libglib-2.0.so.0.3400.2
    4801d000-4801e000 rw-p 00129000 fd:01 528220     /usr/lib/libglib-2.0.so.0.3400.2
    48020000-48022000 r-xp 00000000 fd:01 528595     /usr/lib/libXau.so.6.0.0
    48022000-48023000 r--p 00001000 fd:01 528595     /usr/lib/libXau.so.6.0.0
    48023000-48024000 rw-p 00002000 fd:01 528595     /usr/lib/libXau.so.6.0.0
    48026000-4815b000 r-xp 00000000 fd:01 528648     /usr/lib/libX11.so.6.3.0
    4815b000-4815c000 r--p 00134000 fd:01 528648     /usr/lib/libX11.so.6.3.0
    4815c000-4815f000 rw-p 00135000 fd:01 528648     /usr/lib/libX11.so.6.3.0
    48161000-48176000 r-xp 00000000 fd:01 528297     /usr/lib/libresolv-2.16.so
    48176000-48177000 r--p 00014000 fd:01 528297     /usr/lib/libresolv-2.16.so
    48177000-48178000 rw-p 00015000 fd:01 528297     /usr/lib/libresolv-2.16.so
    48178000-4817a000 rw-p 00000000 00:00 0 
    4817c000-4819c000 r-xp 00000000 fd:01 528607     /usr/lib/libxcb.so.1.1.0
    4819c000-4819d000 r--p 0001f000 fd:01 528607     /usr/lib/libxcb.so.1.1.0
    4819d000-4819e000 rw-p 00020000 fd:01 528607     /usr/lib/libxcb.so.1.1.0
    481a0000-481b0000 r-xp 00000000 fd:01 528688     /usr/lib/libXext.so.6.4.0
    481b0000-481b1000 r--p 00010000 fd:01 528688     /usr/lib/libXext.so.6.4.0
    481b1000-481b2000 rw-p 00011000 fd:01 528688     /usr/lib/libXext.so.6.4.0
    481b4000-48294000 r-xp 00000000 fd:01 528262     /usr/lib/libstdc++.so.6.0.17
    48294000-48298000 r--p 000df000 fd:01 528262     /usr/lib/libstdc++.so.6.0.17
    48298000-4829a000 rw-p 000e3000 fd:01 528262     /usr/lib/libstdc++.so.6.0.17
    4829a000-482a0000 rw-p 00000000 00:00 0 
    482a2000-482a3000 r-xp 00000000 fd:01 528236     /usr/lib/libgthread-2.0.so.0.3400.2
    482a3000-482a4000 r--p 00000000 fd:01 528236     /usr/lib/libgthread-2.0.so.0.3400.2
    482a4000-482a5000 rw-p 00001000 fd:01 528236     /usr/lib/libgthread-2.0.so.0.3400.2
    482a7000-482ac000 r-xp 00000000 fd:01 528459     /usr/lib/libffi.so.5.0.10
    482ac000-482ad000 r--p 00005000 fd:01 528459     /usr/lib/libffi.so.5.0.10
    482ad000-482ae000 rw-p 00006000 fd:01 528459     /usr/lib/libffi.so.5.0.10
    482b0000-482fd000 r-xp 00000000 fd:01 528467     /usr/lib/libgobject-2.0.so.0.3400.2
    482fd000-482fe000 r--p 0004c000 fd:01 528467     /usr/lib/libgobject-2.0.so.0.3400.2
    482fe000-482ff000 rw-p 0004d000 fd:01 528467     /usr/lib/libgobject-2.0.so.0.3400.2
    48301000-48305000 r-xp 00000000 fd:01 527867     /usr/lib/libuuid.so.1.3.0
    48305000-48306000 r--p 00003000 fd:01 527867     /usr/lib/libuuid.so.1.3.0
    48306000-48307000 rw-p 00004000 fd:01 527867     /usr/lib/libuuid.so.1.3.0
    48309000-4831f000 r-xp 00000000 fd:01 528592     /usr/lib/libICE.so.6.3.0
    4831f000-48320000 r--p 00015000 fd:01 528592     /usr/lib/libICE.so.6.3.0
    48320000-48321000 rw-p 00016000 fd:01 528592     /usr/lib/libICE.so.6.3.0
    48321000-48323000 rw-p 00000000 00:00 0 
    48325000-4832c000 r-xp 00000000 fd:01 528594     /usr/lib/libSM.so.6.0.1
    4832c000-4832d000 r--p 00006000 fd:01 528594     /usr/lib/libSM.so.6.0.1
    4832d000-4832e000 rw-p 00007000 fd:01 528594     /usr/lib/libSM.so.6.0.1
    48330000-48334000 r-xp 00000000 fd:01 529469     /usr/lib/libXfixes.so.3.1.0
    48334000-48335000 r--p 00003000 fd:01 529469     /usr/lib/libXfixes.so.3.1.0
    48335000-48336000 rw-p 00004000 fd:01 529469     /usr/lib/libXfixes.so.3.1.0
    48338000-48364000 r-xp 00000000 fd:01 529449     /usr/lib/libpng15.so.15.13.0
    48364000-48365000 r--p 0002b000 fd:01 529449     /usr/lib/libpng15.so.15.13.0
    48365000-48366000 rw-p 0002c000 fd:01 529449     /usr/lib/libpng15.so.15.13.0
    48368000-483b1000 r-xp 00000000 fd:01 528438     /usr/lib/libdbus-1.so.3.7.4
    483b1000-483b2000 r--p 00048000 fd:01 528438     /usr/lib/libdbus-1.so.3.7.4
    483b2000-483b3000 rw-p 00049000 fd:01 528438     /usr/lib/libdbus-1.so.3.7.4
    483b5000-483db000 r-xp 00000000 fd:01 528496     /usr/lib/libexpat.so.1.6.0
    483db000-483dd000 r--p 00025000 fd:01 528496     /usr/lib/libexpat.so.1.6.0
    483dd000-483de000 rw-p 00027000 fd:01 528496     /usr/lib/libexpat.so.1.6.0
    483e0000-483e9000 r-xp 00000000 fd:01 529115     /usr/lib/libXrender.so.1.3.0
    483e9000-483ea000 r--p 00008000 fd:01 529115     /usr/lib/libXrender.so.1.3.0
    483ea000-483eb000 rw-p 00009000 fd:01 529115     /usr/lib/libXrender.so.1.3.0
    483ed000-48488000 r-xp 00000000 fd:01 529461     /usr/lib/libfreetype.so.6.9.0
    48488000-4848c000 r--p 0009a000 fd:01 529461     /usr/lib/libfreetype.so.6.9.0
    4848c000-4848d000 rw-p 0009e000 fd:01 529461     /usr/lib/libfreetype.so.6.9.0
    4848f000-48491000 r-xp 00000000 fd:01 529117     /usr/lib/libXinerama.so.1.0.0
    48491000-48492000 r--p 00001000 fd:01 529117     /usr/lib/libXinerama.so.1.0.0
    48492000-48493000 rw-p 00002000 fd:01 529117     /usr/lib/libXinerama.so.1.0.0
    48495000-4849e000 r-xp 00000000 fd:01 529116     /usr/lib/libXrandr.so.2.2.0
    4849e000-4849f000 r--p 00008000 fd:01 529116     /usr/lib/libXrandr.so.2.2.0
    4849f000-484a0000 rw-p 00009000 fd:01 529116     /usr/lib/libXrandr.so.2.2.0
    484a2000-484c9000 r-xp 00000000 fd:01 528442     /usr/lib/liblzma.so.5.0.99
    484c9000-484ca000 ---p 00027000 fd:01 528442     /usr/lib/liblzma.so.5.0.99
    484ca000-484cb000 r--p 00027000 fd:01 528442     /usr/lib/liblzma.so.5.0.99
    484cb000-484cc000 rw-p 00028000 fd:01 528442     /usr/lib/liblzma.so.5.0.99
    484ce000-48505000 r-xp 00000000 fd:01 529502     /usr/lib/libfontconfig.so.1.6.2
    48505000-48506000 r--p 00036000 fd:01 529502     /usr/lib/libfontconfig.so.1.6.2
    48506000-48507000 rw-p 00037000 fd:01 529502     /usr/lib/libfontconfig.so.1.6.2
    48509000-48517000 r-xp 00000000 fd:01 529466     /usr/lib/libXi.so.6.1.0
    48517000-48518000 r--p 0000e000 fd:01 529466     /usr/lib/libXi.so.6.1.0
    48518000-48519000 rw-p 0000f000 fd:01 529466     /usr/lib/libXi.so.6.1.0
    4851b000-4852c000 r-xp 00000000 fd:01 529525     /usr/lib/libudev.so.1.3.2
    4852c000-4852d000 r--p 00010000 fd:01 529525     /usr/lib/libudev.so.1.3.2
    4852d000-4852e000 rw-p 00011000 fd:01 529525     /usr/lib/libudev.so.1.3.2
    48530000-48533000 r-xp 00000000 fd:01 528473     /usr/lib/libgmodule-2.0.so.0.3400.2
    48533000-48534000 r--p 00002000 fd:01 528473     /usr/lib/libgmodule-2.0.so.0.3400.2
    48534000-48535000 rw-p 00003000 fd:01 528473     /usr/lib/libgmodule-2.0.so.0.3400.2
    48537000-48540000 r-xp 00000000 fd:01 529497     /usr/lib/libXcursor.so.1.0.2
    48540000-48541000 r--p 00008000 fd:01 529497     /usr/lib/libXcursor.so.1.0.2
    48541000-48542000 rw-p 00009000 fd:01 529497     /usr/lib/libXcursor.so.1.0.2
    48544000-4869e000 r-xp 00000000 fd:01 528478     /usr/lib/libgio-2.0.so.0.3400.2
    4869e000-486a0000 r--p 0015a000 fd:01 528478     /usr/lib/libgio-2.0.so.0.3400.2
    486a0000-486a1000 rw-p 0015c000 fd:01 528478     /usr/lib/libgio-2.0.so.0.3400.2
    486a1000-486a2000 rw-p 00000000 00:00 0 
    486a4000-486a5000 r-xp 00000000 fd:01 530209     /usr/lib/libX11-xcb.so.1.0.0
    486a5000-486a6000 r--p 00000000 fd:01 530209     /usr/lib/libX11-xcb.so.1.0.0
    486a6000-486a7000 rw-p 00001000 fd:01 530209     /usr/lib/libX11-xcb.so.1.0.0
    486a9000-487fc000 r-xp 00000000 fd:01 528525     /usr/lib/libxml2.so.2.9.1
    487fc000-48800000 r--p 00153000 fd:01 528525     /usr/lib/libxml2.so.2.9.1
    48800000-48801000 rw-p 00157000 fd:01 528525     /usr/lib/libxml2.so.2.9.1
    48801000-48802000 rw-p 00000000 00:00 0 
    48804000-48808000 r-xp 00000000 fd:01 529121     /usr/lib/libXxf86vm.so.1.0.0
    48808000-48809000 r--p 00003000 fd:01 529121     /usr/lib/libXxf86vm.so.1.0.0Afgebroken (geheugendump gemaakt)
    [bart@localhost calendarpopup]$ 
    
    qt-crash.txt (11,955 bytes)

Relationships

has duplicate 0026766 resolvedBart Broersma TDateEdit crashes when calendar popup is called in a maximized form 

Activities

Bart Broersma

2014-09-02 22:32

developer  

caltest.zip (9,092 bytes)

Bart Broersma

2014-09-02 22:32

developer  

gtk2-crash.txt (15,803 bytes)
[bart@localhost calendarpopup]$ ./test
*** glibc detected *** ./test: free(): invalid pointer: 0x095f51c9 ***
======= Backtrace: =========
/lib/libc.so.6[0x47c7d029]
/lib/libX11.so.6(XFree+0x1c)[0x48063a5c]
./test[0x81aaf48]
./test[0x82fe4a5]
./test[0x81f70c6]
./test[0x81f75e3]
./test[0x8084720]
./test[0x806e366]
./test[0x81f0910]
./test[0x8086017]
./test[0x81fb7e6]
./test[0x81ee699]
./test[0x81ee601]
./test[0x808925d]
./test[0x81ed033]
./test[0x82054f7]
./test[0x8202673]
./test[0x8084335]
./test[0x80880c9]
./test[0x831825a]
./test[0x809676b]
./test[0x81fd9ae]
./test[0x822243f]
./test[0x8222b41]
./test[0x822235a]
./test[0x806e366]
./test[0x81f0910]
./test[0x82a2bd5]
./test[0x82aed56]
/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOIDv+0x4f)[0x482bee2f]
======= Memory map: ========
08048000-08335000 r-xp 00000000 fd:01 1327807    /home/bart/LazarusProjecten/bugs/calendarpopup/test
08335000-08336000 r--p 002ec000 fd:01 1327807    /home/bart/LazarusProjecten/bugs/calendarpopup/test
08336000-084c9000 rw-p 002ed000 fd:01 1327807    /home/bart/LazarusProjecten/bugs/calendarpopup/test
084c9000-084e4000 rw-p 00000000 00:00 0 
0947e000-09623000 rw-p 00000000 00:00 0          [heap]
47be4000-47c03000 r-xp 00000000 fd:01 526941     /usr/lib/ld-2.16.so
47c03000-47c04000 r--p 0001e000 fd:01 526941     /usr/lib/ld-2.16.so
47c04000-47c05000 rw-p 0001f000 fd:01 526941     /usr/lib/ld-2.16.so
47c07000-47db7000 r-xp 00000000 fd:01 527948     /usr/lib/libc-2.16.so
47db7000-47db9000 r--p 001b0000 fd:01 527948     /usr/lib/libc-2.16.so
47db9000-47dba000 rw-p 001b2000 fd:01 527948     /usr/lib/libc-2.16.so
47dba000-47dbd000 rw-p 00000000 00:00 0 
47dbf000-47dc2000 r-xp 00000000 fd:01 528207     /usr/lib/libdl-2.16.so
47dc2000-47dc3000 r--p 00002000 fd:01 528207     /usr/lib/libdl-2.16.so
47dc3000-47dc4000 rw-p 00003000 fd:01 528207     /usr/lib/libdl-2.16.so
47dc6000-47ddc000 r-xp 00000000 fd:01 528000     /usr/lib/libpthread-2.16.so
47ddc000-47ddd000 r--p 00015000 fd:01 528000     /usr/lib/libpthread-2.16.so
47ddd000-47dde000 rw-p 00016000 fd:01 528000     /usr/lib/libpthread-2.16.so
47dde000-47de0000 rw-p 00000000 00:00 0 
47de2000-47e20000 r-xp 00000000 fd:01 528238     /usr/lib/libm-2.16.so
47e20000-47e21000 r--p 0003d000 fd:01 528238     /usr/lib/libm-2.16.so
47e21000-47e22000 rw-p 0003e000 fd:01 528238     /usr/lib/libm-2.16.so
47e24000-47e2b000 r-xp 00000000 fd:01 528210     /usr/lib/librt-2.16.so
47e2b000-47e2c000 r--p 00006000 fd:01 528210     /usr/lib/librt-2.16.so
47e2c000-47e2d000 rw-p 00007000 fd:01 528210     /usr/lib/librt-2.16.so
47e2f000-47e44000 r-xp 00000000 fd:01 528201     /usr/lib/libz.so.1.2.7
47e44000-47e45000 r--p 00014000 fd:01 528201     /usr/lib/libz.so.1.2.7
47e45000-47e46000 rw-p 00015000 fd:01 528201     /usr/lib/libz.so.1.2.7
47e48000-47e64000 r-xp 00000000 fd:01 528251     /usr/lib/libgcc_s-4.7.2-20121109.so.1
47e64000-47e65000 r--p 0001b000 fd:01 528251     /usr/lib/libgcc_s-4.7.2-20121109.so.1
47e65000-47e66000 rw-p 0001c000 fd:01 528251     /usr/lib/libgcc_s-4.7.2-20121109.so.1
47e68000-47eca000 r-xp 00000000 fd:01 528371     /usr/lib/libpcre.so.1.0.1
47eca000-47ecb000 r--p 00061000 fd:01 528371     /usr/lib/libpcre.so.1.0.1
47ecb000-47ecc000 rw-p 00062000 fd:01 528371     /usr/lib/libpcre.so.1.0.1
47ece000-47eee000 r-xp 00000000 fd:01 528373     /usr/lib/libselinux.so.1
47eee000-47eef000 r--p 0001f000 fd:01 528373     /usr/lib/libselinux.so.1
47eef000-47ef0000 rw-p 00020000 fd:01 528373     /usr/lib/libselinux.so.1
47ef0000-47ef1000 rw-p 00000000 00:00 0 
47ef3000-4801c000 r-xp 00000000 fd:01 528220     /usr/lib/libglib-2.0.so.0.3400.2
4801c000-4801d000 r--p 00128000 fd:01 528220     /usr/lib/libglib-2.0.so.0.3400.2
4801d000-4801e000 rw-p 00129000 fd:01 528220     /usr/lib/libglib-2.0.so.0.3400.2
48020000-48022000 r-xp 00000000 fd:01 528595     /usr/lib/libXau.so.6.0.0
48022000-48023000 r--p 00001000 fd:01 528595     /usr/lib/libXau.so.6.0.0
48023000-48024000 rw-p 00002000 fd:01 528595     /usr/lib/libXau.so.6.0.0
48026000-4815b000 r-xp 00000000 fd:01 528648     /usr/lib/libX11.so.6.3.0
4815b000-4815c000 r--p 00134000 fd:01 528648     /usr/lib/libX11.so.6.3.0
4815c000-4815f000 rw-p 00135000 fd:01 528648     /usr/lib/libX11.so.6.3.0
48161000-48176000 r-xp 00000000 fd:01 528297     /usr/lib/libresolv-2.16.so
48176000-48177000 r--p 00014000 fd:01 528297     /usr/lib/libresolv-2.16.so
48177000-48178000 rw-p 00015000 fd:01 528297     /usr/lib/libresolv-2.16.so
48178000-4817a000 rw-p 00000000 00:00 0 
4817c000-4819c000 r-xp 00000000 fd:01 528607     /usr/lib/libxcb.so.1.1.0
4819c000-4819d000 r--p 0001f000 fd:01 528607     /usr/lib/libxcb.so.1.1.0
4819d000-4819e000 rw-p 00020000 fd:01 528607     /usr/lib/libxcb.so.1.1.0
481a0000-481b0000 r-xp 00000000 fd:01 528688     /usr/lib/libXext.so.6.4.0
481b0000-481b1000 r--p 00010000 fd:01 528688     /usr/lib/libXext.so.6.4.0
481b1000-481b2000 rw-p 00011000 fd:01 528688     /usr/lib/libXext.so.6.4.0
481b4000-48294000 r-xp 00000000 fd:01 528262     /usr/lib/libstdc++.so.6.0.17
48294000-48298000 r--p 000df000 fd:01 528262     /usr/lib/libstdc++.so.6.0.17
48298000-4829a000 rw-p 000e3000 fd:01 528262     /usr/lib/libstdc++.so.6.0.17
4829a000-482a0000 rw-p 00000000 00:00 0 
482a2000-482a3000 r-xp 00000000 fd:01 528236     /usr/lib/libgthread-2.0.so.0.3400.2
482a3000-482a4000 r--p 00000000 fd:01 528236     /usr/lib/libgthread-2.0.so.0.3400.2
482a4000-482a5000 rw-p 00001000 fd:01 528236     /usr/lib/libgthread-2.0.so.0.3400.2
482a7000-482ac000 r-xp 00000000 fd:01 528459     /usr/lib/libffi.so.5.0.10
482ac000-482ad000 r--p 00005000 fd:01 528459     /usr/lib/libffi.so.5.0.10
482ad000-482ae000 rw-p 00006000 fd:01 528459     /usr/lib/libffi.so.5.0.10
482b0000-482fd000 r-xp 00000000 fd:01 528467     /usr/lib/libgobject-2.0.so.0.3400.2
482fd000-482fe000 r--p 0004c000 fd:01 528467     /usr/lib/libgobject-2.0.so.0.3400.2
482fe000-482ff000 rw-p 0004d000 fd:01 528467     /usr/lib/libgobject-2.0.so.0.3400.2
48330000-48334000 r-xp 00000000 fd:01 529469     /usr/lib/libXfixes.so.3.1.0
48334000-48335000 r--p 00003000 fd:01 529469     /usr/lib/libXfixes.so.3.1.0
48335000-48336000 rw-p 00004000 fd:01 529469     /usr/lib/libXfixes.so.3.1.0
48338000-48364000 r-xp 00000000 fd:01 529449     /usr/lib/libpng15.so.15.13.0
48364000-48365000 r--p 0002b000 fd:01 529449     /usr/lib/libpng15.so.15.13.0
48365000-48366000 rw-p 0002c000 fd:01 529449     /usr/lib/libpng15.so.15.13.0
483b5000-483db000 r-xp 00000000 fd:01 528496     /usr/lib/libexpat.so.1.6.0
483db000-483dd000 r--p 00025000 fd:01 528496     /usr/lib/libexpat.so.1.6.0
483dd000-483de000 rw-p 00027000 fd:01 528496     /usr/lib/libexpat.so.1.6.0
483e0000-483e9000 r-xp 00000000 fd:01 529115     /usr/lib/libXrender.so.1.3.0
483e9000-483ea000 r--p 00008000 fd:01 529115     /usr/lib/libXrender.so.1.3.0
483ea000-483eb000 rw-p 00009000 fd:01 529115     /usr/lib/libXrender.so.1.3.0
483ed000-48488000 r-xp 00000000 fd:01 529461     /usr/lib/libfreetype.so.6.9.0
48488000-4848c000 r--p 0009a000 fd:01 529461     /usr/lib/libfreetype.so.6.9.0
4848c000-4848d000 rw-p 0009e000 fd:01 529461     /usr/lib/libfreetype.so.6.9.0
4848f000-48491000 r-xp 00000000 fd:01 529117     /usr/lib/libXinerama.so.1.0.0
48491000-48492000 r--p 00001000 fd:01 529117     /usr/lib/libXinerama.so.1.0.0
48492000-48493000 rw-p 00002000 fd:01 529117     /usr/lib/libXinerama.so.1.0.0
48495000-4849e000 r-xp 00000000 fd:01 529116     /usr/lib/libXrandr.so.2.2.0
4849e000-4849f000 r--p 00008000 fd:01 529116     /usr/lib/libXrandr.so.2.2.0
4849f000-484a0000 rw-p 00009000 fd:01 529116     /usr/lib/libXrandr.so.2.2.0
484a2000-484c9000 r-xp 00000000 fd:01 528442     /usr/lib/liblzma.so.5.0.99
484c9000-484ca000 ---p 00027000 fd:01 528442     /usr/lib/liblzma.so.5.0.99
484ca000-484cb000 r--p 00027000 fd:01 528442     /usr/lib/liblzma.so.5.0.99
484cb000-484cc000 rw-p 00028000 fd:01 528442     /usr/lib/liblzma.so.5.0.99
484ce000-48505000 r-xp 00000000 fd:01 529502     /usr/lib/libfontconfig.so.1.6.2
48505000-48506000 r--p 00036000 fd:01 529502     /usr/lib/libfontconfig.so.1.6.2
48506000-48507000 rw-p 00037000 fd:01 529502     /usr/lib/libfontconfig.so.1.6.2
48509000-48517000 r-xp 00000000 fd:01 529466     /usr/lib/libXi.so.6.1.0
48517000-48518000 r--p 0000e000 fd:01 529466     /usr/lib/libXi.so.6.1.0
48518000-48519000 rw-p 0000f000 fd:01 529466     /usr/lib/libXi.so.6.1.0
4851b000-4852c000 r-xp 00000000 fd:01 529525     /usr/lib/libudev.so.1.3.2
4852c000-4852d000 r--p 00010000 fd:01 529525     /usr/lib/libudev.so.1.3.2
4852d000-4852e000 rw-p 00011000 fd:01 529525     /usr/lib/libudev.so.1.3.2
48530000-48533000 r-xp 00000000 fd:01 528473     /usr/lib/libgmodule-2.0.so.0.3400.2
48533000-48534000 r--p 00002000 fd:01 528473     /usr/lib/libgmodule-2.0.so.0.3400.2
48534000-48535000 rw-p 00003000 fd:01 528473     /usr/lib/libgmodule-2.0.so.0.3400.2
48537000-48540000 r-xp 00000000 fd:01 529497     /usr/lib/libXcursor.so.1.0.2
48540000-48541000 r--p 00008000 fd:01 529497     /usr/lib/libXcursor.so.1.0.2
48541000-48542000 rw-p 00009000 fd:01 529497     /usr/lib/libXcursor.so.1.0.2
48544000-4869e000 r-xp 00000000 fd:01 528478     /usr/lib/libgio-2.0.so.0.3400.2
4869e000-486a0000 r--p 0015a000 fd:01 528478     /usr/lib/libgio-2.0.so.0.3400.2
486a0000-486a1000 rw-p 0015c000 fd:01 528478     /usr/lib/libgio-2.0.so.0.3400.2
486a1000-486a2000 rw-p 00000000 00:00 0 
486a4000-486a5000 r-xp 00000000 fd:01 530209     /usr/lib/libX11-xcb.so.1.0.0
486a5000-486a6000 r--p 00000000 fd:01 530209     /usr/lib/libX11-xcb.so.1.0.0
486a6000-486a7000 rw-p 00001000 fd:01 530209     /usr/lib/libX11-xcb.so.1.0.0
486a9000-487fc000 r-xp 00000000 fd:01 528525     /usr/lib/libxml2.so.2.9.1
487fc000-48800000 r--p 00153000 fd:01 528525     /usr/lib/libxml2.so.2.9.1
48800000-48801000 rw-p 00157000 fd:01 528525     /usr/lib/libxml2.so.2.9.1
48801000-48802000 rw-p 00000000 00:00 0 
48804000-48808000 r-xp 00000000 fd:01 529121     /usr/lib/libXxf86vm.so.1.0.0
48808000-48809000 r--p 00003000 fd:01 529121     /usr/lib/libXxf86vm.so.1.0.0
48809000-4880a000 rw-p 00004000 fd:01 529121     /usr/lib/libXxf86vm.so.1.0.0
48813000-48840000 r-xp 00000000 fd:01 531780     /usr/lib/libbluray.so.1.2.0
48840000-48841000 r--p 0002d000 fd:01 531780     /usr/lib/libbluray.so.1.2.0
48841000-48842000 rw-p 0002e000 fd:01 531780     /usr/lib/libbluray.so.1.2.0
48844000-48877000 r-xp 00000000 fd:01 531782     /usr/lib/libgvfscommon.so.0.0.0
48877000-48879000 r--p 00032000 fd:01 531782     /usr/lib/libgvfscommon.so.0.0.0
48879000-4887a000 rw-p 00034000 fd:01 531782     /usr/lib/libgvfscommon.so.0.0.0
48b27000-48b29000 r-xp 00000000 fd:01 530306     /usr/lib/libXdamage.so.1.1.0
48b29000-48b2a000 r--p 00001000 fd:01 530306     /usr/lib/libXdamage.so.1.1.0
48b2a000-48b2b000 rw-p 00002000 fd:01 530306     /usr/lib/libXdamage.so.1.1.0
48b2d000-48b38000 r-xp 00000000 fd:01 530241     /usr/lib/libdrm.so.2.4.0
48b38000-48b39000 r--p 0000a000 fd:01 530241     /usr/lib/libdrm.so.2.4.0
48b39000-48b3a000 rw-p 0000b000 fd:01 530241     /usr/lib/libdrm.so.2.4.0
48b3c000-48b76000 r-xp 00000000 fd:01 530236     /usr/lib/libglapi.so.0.0.0
48b76000-48b79000 r--p 00039000 fd:01 530236     /usr/lib/libglapi.so.0.0.0
48b79000-48b7a000 rw-p 0003c000 fd:01 530236     /usr/lib/libglapi.so.0.0.0
48b7c000-48b80000 r-xp 00000000 fd:01 530215     /usr/lib/libxcb-dri2.so.0.0.0
48b80000-48b81000 r--p 00003000 fd:01 530215     /usr/lib/libxcb-dri2.so.0.0.0
48b81000-48b82000 rw-p 00004000 fd:01 530215     /usr/lib/libxcb-dri2.so.0.0.0
48b84000-48bf5000 r-xp 00000000 fd:01 530311     /usr/lib/libGL.so.1.2.0
48bf5000-48bf7000 r--p 00070000 fd:01 530311     /usr/lib/libGL.so.1.2.0
48bf7000-48bf8000 rw-p 00072000 fd:01 530311     /usr/lib/libGL.so.1.2.0
48bfa000-48c11000 r-xp 00000000 fd:01 530308     /usr/lib/libxcb-glx.so.0.0.0
48c11000-48c12000 r--p 00017000 fd:01 530308     /usr/lib/libxcb-glx.so.0.0.0
48c12000-48c13000 rw-p 00018000 fd:01 530308     /usr/lib/libxcb-glx.so.0.0.0
49f8d000-49fb0000 r-xp 00000000 fd:01 530391     /usr/lib/libgdk_pixbuf-2.0.so.0.2600.5
49fb0000-49fb1000 r--p 00022000 fd:01 530391     /usr/lib/libgdk_pixbuf-2.0.so.0.2600.5
49fb1000-49fb2000 rw-p 00023000 fd:01 530391     /usr/lib/libgdk_pixbuf-2.0.so.0.2600.5
4a023000-4b143000 r-xp 00000000 fd:01 530324     /usr/lib/libicudata.so.49.1.1
4b143000-4b144000 r--p 0111f000 fd:01 530324     /usr/lib/libicudata.so.49.1.1
4b144000-4b145000 rw-p 01120000 fd:01 530324     /usr/lib/libicudata.so.49.1.1
4b7d6000-4b93f000 r-xp 00000000 fd:01 530327     /usr/lib/libicuuc.so.49.1.1
4b93f000-4b940000 ---p 00169000 fd:01 530327     /usr/lib/libicuuc.so.49.1.1
4b940000-4b949000 r--p 00169000 fd:01 530327     /usr/lib/libicuuc.so.49.1.1
4b949000-4b94a000 rw-p 00172000 fd:01 530327     /usr/lib/libicuuc.so.49.1.1
4b94a000-4b94f000 rw-p 00000000 00:00 0 
4b951000-4b959000 r-xp 00000000 fd:01 530232     /usr/lib/libwayland-client.so.0.1.0
4b959000-4b95a000 r--p 00008000 fd:01 530232     /usr/lib/libwayland-client.so.0.1.0
4b95a000-4b95b000 rw-p 00009000 fd:01 530232     /usr/lib/libwayland-client.so.0.1.0
4b9be000-4ba13000 r-xp 00000000 fd:01 530344     /usr/lib/libicule.so.49.1.1
4ba13000-4ba14000 r--p 00054000 fd:01 530344     /usr/lib/libicule.so.49.1.1
4ba14000-4ba15000 rw-p 00055000 fd:01 530344     /usr/lib/libicule.so.49.1.1
4ba17000-4baad000 r-xp 00000000 fd:01 526101     /usr/lib/libpixman-1.so.0.28.0
4baad000-4bab2000 r--p 00095000 fd:01 526101     /usr/lib/libpixman-1.so.0.28.0
4bab2000-4bab3000 rw-p 0009a000 fd:01 526101     /usr/lib/libpixman-1.so.0.28.0
4bab5000-4babd000 r-xp 00000000 fd:01 530223     /usr/lib/libxcb-render.so.0.0.0
4babd000-4babe000 r--p 00008000 fd:01 530223     /usr/lib/libxcb-render.so.0.0.0
4babe000-4babf000 rw-p 00009000 fd:01 530223     /usr/lib/libxcb-render.so.0.0.0
4bac1000-4bac3000 r-xp 00000000 fd:01 529208     /usr/lib/libxcb-shape.so.0.0.0
4bac3000-4bac4000 r--p 00002000 fd:01 529208     /usr/lib/libxcb-shape.so.0.0.0
4bac4000-4bac5000 rw-p 00003000 fd:01 529208     /usr/lib/libxcb-shape.so.0.0.0
4bac7000-4bac9000 r-xp 00000000 fd:01 530388     /usr/lib/libXcomposite.so.1.0.0
4bac9000-4baca000 r--p 00001000 fd:01 530388     /usr/lib/libXcomposite.so.1.0.0
4baca000-4bacb000 rw-p 00002000 fd:01 530388     /usr/lib/libXcomposite.so.1.0.0
4bacd000-4bb65000 r-xp 00000000 fd:01 530345     /usr/lib/libharfbuzz.so.0.912.0
4bb65000-4bb66000 r--p 00098000 fd:01 530345     /usr/lib/libharfbuzz.so.0.912.0
4bb66000-4bb67000 rw-p 00099000 fd:01 530345     /usr/lib/libharfbuzz.so.0.912.0
4bb69000-4bb88000 r-xp 00000000 fd:01 530257     /usr/lib/libEGL.so.1.0.0
4bb88000-4bb89000 r--p 0001e000 fd:01 530257     /usr/lib/libEGL.so.1.0.0
4bb89000-4bb8a000 rw-p 0001f000 fd:01 530257     /usr/lib/libEGL.so.1.0.0
4bb8c000-4bba8000 r-xp 00000000 fd:01 530323     /usr/lib/libgraphite2.so.2.0.0
4bba8000-4bba9000 r--p 0001b000 fd:01 530323     /usr/lib/libgraphite2.so.2.0.0
4bba9000-4bbaa000 rw-p 0001c000 fd:01 530323     /usr/lib/libgraphite2.so.2.0.0
4bbac000-4bbf5000 r-xp 00000000 fd:01 530322     /usr/lib/libpango-1.0.so.0.3200.3
4bbf5000-4bbf6000 ---p 00049000 fd:01 530322     /usr/lib/libpango-1.0.so.0.3200.3
4bbf6000-4bbf7000 r--p 00049000 fd:01 530322     /usr/lib/libpango-1.0.so.0.3200.3
4bbf7000-4bbf8000 rw-p 0004a000 fd:01 530322     /usr/lib/libpango-1.0.so.0.3200.3
4bbfa000-4bc00000 r-xp 00000000 fd:01 530217     /usr/lib/libxcb-xfixes.so.0.0.0
4bc00000-4bc01000 r--p 00005000 fd:01 530217     /usr/lib/libxcb-xfixes.so.0.0.0
4bc01000-4bc02000 rw-p 00006000 fd:01 530217     /usr/lib/libxcb-xfixes.so.0.0.0
4bc04000-4bc09000 r-xp 00000000 fd:01 530239     /usr/lib/libgbm.so.1.0.0
4bc09000-4bc0a000 r--p 00004000 fd:01 530239     /usr/lib/libgbm.so.1.0.0
4bc0a000-4bc0b000 rw-p 00005000 fd:01 530239     /usr/lib/libgbm.so.1.0.0Afgebroken (geheugendump gemaakt)
[bart@localhost calendarpopup]$ 
gtk2-crash.txt (15,803 bytes)

Bart Broersma

2014-09-02 22:32

developer  

qt-crash.txt (11,955 bytes)
[bart@localhost calendarpopup]$ ./test
*** glibc detected *** ./test: free(): invalid pointer: 0x086c65c1 ***
======= Backtrace: =========
/lib/libc.so.6[0x47c7d029]
/lib/libX11.so.6(XFree+0x1c)[0x48063a5c]
./test[0x81a1e64]
./test[0x8296a92]
./test[0x81cbdf6]
./test[0x81cc313]
./test[0x80865d0]
./test[0x8070216]
./test[0x81c5640]
./test[0x8087ec7]
./test[0x81d0516]
./test[0x81c33c9]
./test[0x81c3331]
./test[0x808b10d]
./test[0x81c1d63]
./test[0x81da227]
./test[0x81d73a3]
./test[0x80861e5]
./test[0x8089f79]
./test[0x82ba32a]
./test[0x809861b]
./test[0x81d26de]
./test[0x81fe19f]
./test[0x81fe8a1]
./test[0x81fe0ba]
./test[0x8070216]
./test[0x81c5640]
./test[0x82639a9]
./test[0x8264812]
/lib/libQt4Pas.so.5(_ZN20QAbstractButton_hook11qt_metacallEN11QMetaObject4CallEiPPv+0x9b)[0xb76b130b]
/lib/libQtCore.so.4(_ZN11QMetaObject8metacallEP7QObjectNS_4CallEiPPv+0x36)[0x48e12236]
/lib/libQtGui.so.4(_ZN15QAbstractButton7clickedEb+0x4e)[0x49d0b8be]
[0x84a97a8]
======= Memory map: ========
08048000-082c4000 r-xp 00000000 fd:01 1327807    /home/bart/LazarusProjecten/bugs/calendarpopup/test
082c4000-082c5000 r--p 0027b000 fd:01 1327807    /home/bart/LazarusProjecten/bugs/calendarpopup/test
082c5000-08431000 rw-p 0027c000 fd:01 1327807    /home/bart/LazarusProjecten/bugs/calendarpopup/test
08431000-08448000 rw-p 00000000 00:00 0 
084a6000-086e7000 rw-p 00000000 00:00 0          [heap]
41420000-4154d000 r-xp 00000000 fd:01 534031     /usr/lib/libQtLocation.so.1.2.2
4154d000-4154f000 r--p 0012d000 fd:01 534031     /usr/lib/libQtLocation.so.1.2.2
4154f000-41553000 rw-p 0012f000 fd:01 534031     /usr/lib/libQtLocation.so.1.2.2
41555000-41574000 r-xp 00000000 fd:01 534032     /usr/lib/libQtSensors.so.1.2.2
41574000-41575000 r--p 0001e000 fd:01 534032     /usr/lib/libQtSensors.so.1.2.2
41575000-41576000 rw-p 0001f000 fd:01 534032     /usr/lib/libQtSensors.so.1.2.2
41578000-415bd000 r-xp 00000000 fd:01 533992     /usr/lib/libwebp.so.4.0.1
415bd000-415be000 r--p 00044000 fd:01 533992     /usr/lib/libwebp.so.4.0.1
415be000-415bf000 rw-p 00045000 fd:01 533992     /usr/lib/libwebp.so.4.0.1
415bf000-415c2000 rw-p 00000000 00:00 0 
47be4000-47c03000 r-xp 00000000 fd:01 526941     /usr/lib/ld-2.16.so
47c03000-47c04000 r--p 0001e000 fd:01 526941     /usr/lib/ld-2.16.so
47c04000-47c05000 rw-p 0001f000 fd:01 526941     /usr/lib/ld-2.16.so
47c07000-47db7000 r-xp 00000000 fd:01 527948     /usr/lib/libc-2.16.so
47db7000-47db9000 r--p 001b0000 fd:01 527948     /usr/lib/libc-2.16.so
47db9000-47dba000 rw-p 001b2000 fd:01 527948     /usr/lib/libc-2.16.so
47dba000-47dbd000 rw-p 00000000 00:00 0 
47dbf000-47dc2000 r-xp 00000000 fd:01 528207     /usr/lib/libdl-2.16.so
47dc2000-47dc3000 r--p 00002000 fd:01 528207     /usr/lib/libdl-2.16.so
47dc3000-47dc4000 rw-p 00003000 fd:01 528207     /usr/lib/libdl-2.16.so
47dc6000-47ddc000 r-xp 00000000 fd:01 528000     /usr/lib/libpthread-2.16.so
47ddc000-47ddd000 r--p 00015000 fd:01 528000     /usr/lib/libpthread-2.16.so
47ddd000-47dde000 rw-p 00016000 fd:01 528000     /usr/lib/libpthread-2.16.so
47dde000-47de0000 rw-p 00000000 00:00 0 
47de2000-47e20000 r-xp 00000000 fd:01 528238     /usr/lib/libm-2.16.so
47e20000-47e21000 r--p 0003d000 fd:01 528238     /usr/lib/libm-2.16.so
47e21000-47e22000 rw-p 0003e000 fd:01 528238     /usr/lib/libm-2.16.so
47e24000-47e2b000 r-xp 00000000 fd:01 528210     /usr/lib/librt-2.16.so
47e2b000-47e2c000 r--p 00006000 fd:01 528210     /usr/lib/librt-2.16.so
47e2c000-47e2d000 rw-p 00007000 fd:01 528210     /usr/lib/librt-2.16.so
47e2f000-47e44000 r-xp 00000000 fd:01 528201     /usr/lib/libz.so.1.2.7
47e44000-47e45000 r--p 00014000 fd:01 528201     /usr/lib/libz.so.1.2.7
47e45000-47e46000 rw-p 00015000 fd:01 528201     /usr/lib/libz.so.1.2.7
47e48000-47e64000 r-xp 00000000 fd:01 528251     /usr/lib/libgcc_s-4.7.2-20121109.so.1
47e64000-47e65000 r--p 0001b000 fd:01 528251     /usr/lib/libgcc_s-4.7.2-20121109.so.1
47e65000-47e66000 rw-p 0001c000 fd:01 528251     /usr/lib/libgcc_s-4.7.2-20121109.so.1
47e68000-47eca000 r-xp 00000000 fd:01 528371     /usr/lib/libpcre.so.1.0.1
47eca000-47ecb000 r--p 00061000 fd:01 528371     /usr/lib/libpcre.so.1.0.1
47ecb000-47ecc000 rw-p 00062000 fd:01 528371     /usr/lib/libpcre.so.1.0.1
47ece000-47eee000 r-xp 00000000 fd:01 528373     /usr/lib/libselinux.so.1
47eee000-47eef000 r--p 0001f000 fd:01 528373     /usr/lib/libselinux.so.1
47eef000-47ef0000 rw-p 00020000 fd:01 528373     /usr/lib/libselinux.so.1
47ef0000-47ef1000 rw-p 00000000 00:00 0 
47ef3000-4801c000 r-xp 00000000 fd:01 528220     /usr/lib/libglib-2.0.so.0.3400.2
4801c000-4801d000 r--p 00128000 fd:01 528220     /usr/lib/libglib-2.0.so.0.3400.2
4801d000-4801e000 rw-p 00129000 fd:01 528220     /usr/lib/libglib-2.0.so.0.3400.2
48020000-48022000 r-xp 00000000 fd:01 528595     /usr/lib/libXau.so.6.0.0
48022000-48023000 r--p 00001000 fd:01 528595     /usr/lib/libXau.so.6.0.0
48023000-48024000 rw-p 00002000 fd:01 528595     /usr/lib/libXau.so.6.0.0
48026000-4815b000 r-xp 00000000 fd:01 528648     /usr/lib/libX11.so.6.3.0
4815b000-4815c000 r--p 00134000 fd:01 528648     /usr/lib/libX11.so.6.3.0
4815c000-4815f000 rw-p 00135000 fd:01 528648     /usr/lib/libX11.so.6.3.0
48161000-48176000 r-xp 00000000 fd:01 528297     /usr/lib/libresolv-2.16.so
48176000-48177000 r--p 00014000 fd:01 528297     /usr/lib/libresolv-2.16.so
48177000-48178000 rw-p 00015000 fd:01 528297     /usr/lib/libresolv-2.16.so
48178000-4817a000 rw-p 00000000 00:00 0 
4817c000-4819c000 r-xp 00000000 fd:01 528607     /usr/lib/libxcb.so.1.1.0
4819c000-4819d000 r--p 0001f000 fd:01 528607     /usr/lib/libxcb.so.1.1.0
4819d000-4819e000 rw-p 00020000 fd:01 528607     /usr/lib/libxcb.so.1.1.0
481a0000-481b0000 r-xp 00000000 fd:01 528688     /usr/lib/libXext.so.6.4.0
481b0000-481b1000 r--p 00010000 fd:01 528688     /usr/lib/libXext.so.6.4.0
481b1000-481b2000 rw-p 00011000 fd:01 528688     /usr/lib/libXext.so.6.4.0
481b4000-48294000 r-xp 00000000 fd:01 528262     /usr/lib/libstdc++.so.6.0.17
48294000-48298000 r--p 000df000 fd:01 528262     /usr/lib/libstdc++.so.6.0.17
48298000-4829a000 rw-p 000e3000 fd:01 528262     /usr/lib/libstdc++.so.6.0.17
4829a000-482a0000 rw-p 00000000 00:00 0 
482a2000-482a3000 r-xp 00000000 fd:01 528236     /usr/lib/libgthread-2.0.so.0.3400.2
482a3000-482a4000 r--p 00000000 fd:01 528236     /usr/lib/libgthread-2.0.so.0.3400.2
482a4000-482a5000 rw-p 00001000 fd:01 528236     /usr/lib/libgthread-2.0.so.0.3400.2
482a7000-482ac000 r-xp 00000000 fd:01 528459     /usr/lib/libffi.so.5.0.10
482ac000-482ad000 r--p 00005000 fd:01 528459     /usr/lib/libffi.so.5.0.10
482ad000-482ae000 rw-p 00006000 fd:01 528459     /usr/lib/libffi.so.5.0.10
482b0000-482fd000 r-xp 00000000 fd:01 528467     /usr/lib/libgobject-2.0.so.0.3400.2
482fd000-482fe000 r--p 0004c000 fd:01 528467     /usr/lib/libgobject-2.0.so.0.3400.2
482fe000-482ff000 rw-p 0004d000 fd:01 528467     /usr/lib/libgobject-2.0.so.0.3400.2
48301000-48305000 r-xp 00000000 fd:01 527867     /usr/lib/libuuid.so.1.3.0
48305000-48306000 r--p 00003000 fd:01 527867     /usr/lib/libuuid.so.1.3.0
48306000-48307000 rw-p 00004000 fd:01 527867     /usr/lib/libuuid.so.1.3.0
48309000-4831f000 r-xp 00000000 fd:01 528592     /usr/lib/libICE.so.6.3.0
4831f000-48320000 r--p 00015000 fd:01 528592     /usr/lib/libICE.so.6.3.0
48320000-48321000 rw-p 00016000 fd:01 528592     /usr/lib/libICE.so.6.3.0
48321000-48323000 rw-p 00000000 00:00 0 
48325000-4832c000 r-xp 00000000 fd:01 528594     /usr/lib/libSM.so.6.0.1
4832c000-4832d000 r--p 00006000 fd:01 528594     /usr/lib/libSM.so.6.0.1
4832d000-4832e000 rw-p 00007000 fd:01 528594     /usr/lib/libSM.so.6.0.1
48330000-48334000 r-xp 00000000 fd:01 529469     /usr/lib/libXfixes.so.3.1.0
48334000-48335000 r--p 00003000 fd:01 529469     /usr/lib/libXfixes.so.3.1.0
48335000-48336000 rw-p 00004000 fd:01 529469     /usr/lib/libXfixes.so.3.1.0
48338000-48364000 r-xp 00000000 fd:01 529449     /usr/lib/libpng15.so.15.13.0
48364000-48365000 r--p 0002b000 fd:01 529449     /usr/lib/libpng15.so.15.13.0
48365000-48366000 rw-p 0002c000 fd:01 529449     /usr/lib/libpng15.so.15.13.0
48368000-483b1000 r-xp 00000000 fd:01 528438     /usr/lib/libdbus-1.so.3.7.4
483b1000-483b2000 r--p 00048000 fd:01 528438     /usr/lib/libdbus-1.so.3.7.4
483b2000-483b3000 rw-p 00049000 fd:01 528438     /usr/lib/libdbus-1.so.3.7.4
483b5000-483db000 r-xp 00000000 fd:01 528496     /usr/lib/libexpat.so.1.6.0
483db000-483dd000 r--p 00025000 fd:01 528496     /usr/lib/libexpat.so.1.6.0
483dd000-483de000 rw-p 00027000 fd:01 528496     /usr/lib/libexpat.so.1.6.0
483e0000-483e9000 r-xp 00000000 fd:01 529115     /usr/lib/libXrender.so.1.3.0
483e9000-483ea000 r--p 00008000 fd:01 529115     /usr/lib/libXrender.so.1.3.0
483ea000-483eb000 rw-p 00009000 fd:01 529115     /usr/lib/libXrender.so.1.3.0
483ed000-48488000 r-xp 00000000 fd:01 529461     /usr/lib/libfreetype.so.6.9.0
48488000-4848c000 r--p 0009a000 fd:01 529461     /usr/lib/libfreetype.so.6.9.0
4848c000-4848d000 rw-p 0009e000 fd:01 529461     /usr/lib/libfreetype.so.6.9.0
4848f000-48491000 r-xp 00000000 fd:01 529117     /usr/lib/libXinerama.so.1.0.0
48491000-48492000 r--p 00001000 fd:01 529117     /usr/lib/libXinerama.so.1.0.0
48492000-48493000 rw-p 00002000 fd:01 529117     /usr/lib/libXinerama.so.1.0.0
48495000-4849e000 r-xp 00000000 fd:01 529116     /usr/lib/libXrandr.so.2.2.0
4849e000-4849f000 r--p 00008000 fd:01 529116     /usr/lib/libXrandr.so.2.2.0
4849f000-484a0000 rw-p 00009000 fd:01 529116     /usr/lib/libXrandr.so.2.2.0
484a2000-484c9000 r-xp 00000000 fd:01 528442     /usr/lib/liblzma.so.5.0.99
484c9000-484ca000 ---p 00027000 fd:01 528442     /usr/lib/liblzma.so.5.0.99
484ca000-484cb000 r--p 00027000 fd:01 528442     /usr/lib/liblzma.so.5.0.99
484cb000-484cc000 rw-p 00028000 fd:01 528442     /usr/lib/liblzma.so.5.0.99
484ce000-48505000 r-xp 00000000 fd:01 529502     /usr/lib/libfontconfig.so.1.6.2
48505000-48506000 r--p 00036000 fd:01 529502     /usr/lib/libfontconfig.so.1.6.2
48506000-48507000 rw-p 00037000 fd:01 529502     /usr/lib/libfontconfig.so.1.6.2
48509000-48517000 r-xp 00000000 fd:01 529466     /usr/lib/libXi.so.6.1.0
48517000-48518000 r--p 0000e000 fd:01 529466     /usr/lib/libXi.so.6.1.0
48518000-48519000 rw-p 0000f000 fd:01 529466     /usr/lib/libXi.so.6.1.0
4851b000-4852c000 r-xp 00000000 fd:01 529525     /usr/lib/libudev.so.1.3.2
4852c000-4852d000 r--p 00010000 fd:01 529525     /usr/lib/libudev.so.1.3.2
4852d000-4852e000 rw-p 00011000 fd:01 529525     /usr/lib/libudev.so.1.3.2
48530000-48533000 r-xp 00000000 fd:01 528473     /usr/lib/libgmodule-2.0.so.0.3400.2
48533000-48534000 r--p 00002000 fd:01 528473     /usr/lib/libgmodule-2.0.so.0.3400.2
48534000-48535000 rw-p 00003000 fd:01 528473     /usr/lib/libgmodule-2.0.so.0.3400.2
48537000-48540000 r-xp 00000000 fd:01 529497     /usr/lib/libXcursor.so.1.0.2
48540000-48541000 r--p 00008000 fd:01 529497     /usr/lib/libXcursor.so.1.0.2
48541000-48542000 rw-p 00009000 fd:01 529497     /usr/lib/libXcursor.so.1.0.2
48544000-4869e000 r-xp 00000000 fd:01 528478     /usr/lib/libgio-2.0.so.0.3400.2
4869e000-486a0000 r--p 0015a000 fd:01 528478     /usr/lib/libgio-2.0.so.0.3400.2
486a0000-486a1000 rw-p 0015c000 fd:01 528478     /usr/lib/libgio-2.0.so.0.3400.2
486a1000-486a2000 rw-p 00000000 00:00 0 
486a4000-486a5000 r-xp 00000000 fd:01 530209     /usr/lib/libX11-xcb.so.1.0.0
486a5000-486a6000 r--p 00000000 fd:01 530209     /usr/lib/libX11-xcb.so.1.0.0
486a6000-486a7000 rw-p 00001000 fd:01 530209     /usr/lib/libX11-xcb.so.1.0.0
486a9000-487fc000 r-xp 00000000 fd:01 528525     /usr/lib/libxml2.so.2.9.1
487fc000-48800000 r--p 00153000 fd:01 528525     /usr/lib/libxml2.so.2.9.1
48800000-48801000 rw-p 00157000 fd:01 528525     /usr/lib/libxml2.so.2.9.1
48801000-48802000 rw-p 00000000 00:00 0 
48804000-48808000 r-xp 00000000 fd:01 529121     /usr/lib/libXxf86vm.so.1.0.0
48808000-48809000 r--p 00003000 fd:01 529121     /usr/lib/libXxf86vm.so.1.0.0Afgebroken (geheugendump gemaakt)
[bart@localhost calendarpopup]$ 
qt-crash.txt (11,955 bytes)

Bart Broersma

2014-09-02 22:34

developer   ~0076853

See also http://forum.lazarus.freepascal.org/index.php/topic,25682.0.html

Zeljan Rikalo

2014-09-03 10:20

developer   ~0076858

Changed priority to high and target to 1.2.6

Zeljan Rikalo

2014-09-03 12:38

developer   ~0076862

Please test and close if ok.

Bart Broersma

2014-09-03 15:28

developer   ~0076870

Fixed.

Issue History

Date Modified Username Field Change
2014-09-02 22:32 Bart Broersma New Issue
2014-09-02 22:32 Bart Broersma File Added: caltest.zip
2014-09-02 22:32 Bart Broersma File Added: gtk2-crash.txt
2014-09-02 22:32 Bart Broersma File Added: qt-crash.txt
2014-09-02 22:34 Bart Broersma Note Added: 0076853
2014-09-02 22:34 Bart Broersma Description Updated View Revisions
2014-09-02 22:41 Bart Broersma Description Updated View Revisions
2014-09-02 22:43 Zeljan Rikalo Assigned To => Zeljan Rikalo
2014-09-02 22:43 Zeljan Rikalo Status new => assigned
2014-09-03 10:20 Zeljan Rikalo LazTarget - => 1.2.6
2014-09-03 10:20 Zeljan Rikalo Note Added: 0076858
2014-09-03 10:20 Zeljan Rikalo Priority normal => high
2014-09-03 10:20 Zeljan Rikalo Target Version => 1.2.6
2014-09-03 12:38 Zeljan Rikalo Fixed in Revision => 46115
2014-09-03 12:38 Zeljan Rikalo Note Added: 0076862
2014-09-03 12:38 Zeljan Rikalo Status assigned => resolved
2014-09-03 12:38 Zeljan Rikalo Resolution open => fixed
2014-09-03 15:28 Bart Broersma Note Added: 0076870
2014-09-03 15:28 Bart Broersma Status resolved => closed
2014-09-23 23:17 Bart Broersma Relationship added has duplicate 0026766